Subject: Re: Endian problem when accessing internel regs on 8347

From: Ben Warren <[email-masked]>
Date: Thu, 17 Jan 2008 13:25:43 -0500

[email-masked] wrote:
> Ben Warren <[email-masked]> wrote on 01/17/2008 07:01:10 AM:
>
>   
>> I've attached a poorly-written-yet-functional GPIO driver that I wrote a 
>>     
>
>   
>> while ago for the MPC8349 (same as what you have for all intents and 
>> purposes). It uses in_be32() and out_be32().
>>
>>     
> Ben,
>
> Thanks for the answer.  Hummmm, at first glance it looks like you're doing 
> the same thing I am.  Only difference I can see is you use get_immrbase() 
> to figure out the address to ask for and I've got it hardcoded.  Other 
> than that we're both using request_mem_region() in in/out_be32().  Yet 
> your's works for you and mine doesn't.  Well, I'll take a closer look 
> tonight and see if there's something you're doing that I missed. 
> Unfortunately, I've gotten a higher level interrupt this morning and it 
> may ba a day or so before I get back to this and can give you any 
> feedback.  Thanks again.
>
> See 'ya!
>
> Bruce
>
>   
Something else to consider is that I've never tried this beyond 2.6.19. 
Maybe things have changed since then.

Anyway, glad to help if I can.

cheers,
Ben